body {
    margin: 0;
    font-family: "Anek Latin", "Anek Devanagari", "Anek Telugu", sans-serif;
    background-color: var(--color-light-apricot);
    min-height: 100vh;
    display: flex;
    flex-direction: column;

    --color-camel: #bb9457;
    --color-apricot: #ffe6a7;
    --color-light-apricot: hsl(43 100% 97% / 1);
    --color-vermillion: #aa0000;
}
button {
    font-family: inherit;
    font-size: inherit;
    background: none;
    border: none;
    text-box: trim-both cap alphabetic;
    cursor: pointer;
}
.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}
label,
.label-text {
    display: block;
}
label {
    margin-bottom: 12px;
}
.label-text {
    font-weight: 600;
    margin-bottom: 4px;
}
input,
select,
textarea {
    border-radius: 4px;
    border: 2px solid var(--color-apricot);
    font: inherit;
    padding: 6px 8px;
    width: 100%;
    box-sizing: border-box;

    &:focus {
        outline: none;
        border-color: oklch(0.88 0.08 88.83 / 1);
    }
}
form button {
    background: #aa0000;
    color: #fff;
    border-radius: 4px;
    padding: 12px 16px;
}
/*body[data-show-lang="en"] [lang="hi"],
body[data-show-lang="en"] [lang="te"],
body[data-show-lang="hi"] [lang="en"],
body[data-show-lang="hi"] [lang="te"],
body[data-show-lang="te"] [lang="en"],
body[data-show-lang="te"] [lang="hi"] {
    display: none;
}*/
[lang="en"],
[lang="hi"] {
    display: none;
}
.logo {
    font-weight: 800;
    font-size: 24px;
    line-height: 1;
    color: var(--color-vermillion);
}
.container {
    padding-left: 20px;
    padding-right: 20px;
    max-width: 1100px;
    width: 100%;
    box-sizing: border-box;
    margin-left: auto;
    margin-right: auto;
}
.full-width {
    width: 100vw;
    position: relative;
    left: 50%;
    transform: translateX(-50vw);
}
body:has(.full-width) {
    overflow-x: hidden;
}
.site-header {
    background-color: #fff;
    border-bottom: 1px solid oklch(0.96 0.05 50.78 / 1);
}
.site-header .container {
    display: grid;
    grid-template-columns: auto auto;
    grid-template-rows: auto auto;

    .logo {
        grid-area: 1/1;
        align-self: center;
    }
}
nav {
    font-weight: 500;
}
nav,
.switcher-and-menu {
    grid-area: 1/1/-1/-1;
    display: grid;
    grid-template-columns: subgrid;
    grid-template-rows: subgrid;
}

.menu-trigger {
    grid-area: 1 / 2;
    width: 48px;
    margin-left: auto;
}

.language-switcher {
    display: inline-flex;
    border-radius: 120px;
    overflow: hidden;

    button {
        background: var(--color-apricot);
        font-size: 16px;
        font-weight: 600;
        line-height: 2;
        padding: 12px 16px;

        &:hover,
        &:focus {
            /*background: var(--color-camel);*/
            background: oklch(1 0.19 29.23 / 1);
        }

        &[aria-selected="true"] {
            background: var(--color-vermillion);
            color: #fff;
        }
    }
}

nav ul {
    list-style: none;
    padding: 0;
    margin: 0;
    font-weight: 600;
}
.site-menu {
    border-top: 1px dashed oklch(0.96 0.05 50.78 / 1);
    display: none !important;
}
nav a {
    display: block;
    padding: 8px 0;
    text-decoration: none;
    color: inherit;
}

@media (min-width: 568px) {
    nav {
        .menu-trigger {
            display: none;
        }

        .site-menu {
            padding: 0.5em 0;
            grid-column: span 2;
            display: flex;
            justify-content: space-around;

            > li {
                display: flex;
                align-items: center;
            }

            .has-submenu {
                position: relative;

                > .submenu-trigger {
                    font-weight: 600;
                }
            }

            .submenu {
                visibility: hidden;
                position: absolute;
                top: 100%;
                left: 50%;
                transform: translateX(-50%);
                min-width: 200px;
                text-align: center;
                background: var(--color-apricot);
                --shadow-color: 0deg 0% 0%;
                box-shadow:
                    0.3px 0.5px 0.7px hsl(var(--shadow-color) / 0.11),
                    0.8px 1.6px 2px -0.8px hsl(var(--shadow-color) / 0.11),
                    2.1px 4.1px 5.2px -1.7px hsl(var(--shadow-color) / 0.11),
                    5px 10px 12.6px -2.5px hsl(var(--shadow-color) / 0.11);
                border-radius: 4px;
                overflow: hidden;
            }

            .has-submenu:hover > .submenu,
            .has-submenu:focus-within > .submenu {
                visibility: visible;
            }

            .submenu :is(button, a) {
                padding: 12px;
                font-weight: inherit;
                line-height: 1;
            }

            .submenu :is(button, a):is(:hover, :focus) {
                background: var(--color-vermillion);
                color: #fff;
            }
        }

        .language-switcher {
            align-self: center;
            grid-column-start: 2;
            margin-left: auto;
        }
    }
}

@media (max-width: 568px) {
    .site-header .container {
        /*grid-template-rows: auto auto;*/
        display: block;
    }
    .logo {
        margin: auto;
        display: block;
    }
    .switcher-and-menu {
        display: block;
        position: absolute;
        background: #fff;
        top: 92px;
        left: 0;
        right: 0;
        bottom: 0;
        text-align: center;
        visibility: hidden;
    }
    .menu-trigger {
        padding: 16px 12px;
        position: relative;
        left: 12px;
        display: none;
    }
    .menu-trigger[aria-expanded="true"] + .switcher-and-menu {
        visibility: visible;
    }
    .language-switcher {
        margin: 1em 0;
        visibility: visible;
    }
    .level-1 {
        margin: 2em 0;
    }
    .site-menu {
        height: calc(100% - 66px);
        overflow: auto;
    }
}
.page-header > div {
    display: flex;
    gap: 5em;
    align-items: center;
    justify-content: space-between;
    text-align: center;
    padding-block: 1em;
    border-bottom: 1px dashed #e4e4e4;

    h1 {
        margin-block: 0;
        text-wrap: balance;
        font-size: 28px;
        line-height: 1;
    }
}
/* .breadcrumbs {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;

    li {
        text-wrap: balance;
    }

    li + li {
        display: flex;
        align-items: center;
    }

    li + li:before {
        content: "/";
        margin-inline: .5em;
    }
} */
.breadcrumb {
    display: inline-block;
    color: var(--color-vermillion);
}

@media (max-width: 767px) {
    .page-header > div {
        flex-direction: column;
        gap: 0.5em;

        h1 {
            [lang="te"],
            [lang="hi"] {
                line-height: 1.5;
            }
        }
    }
    .breadcrumb {
        order: -1;
    }
}

@media (max-width: 568px) {
    main {
        margin-top: 4em;
    }
}

.main-links {
    list-style: none;
    padding: 0;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(170px, 1fr));
    gap: 1em;

    li {
        display: flex;
    }

    a {
        flex-grow: 1;
        display: flex;
        align-items: center;
        justify-content: center;
        text-decoration: none;
        padding: 1em;
        font-size: 24px;
        font-weight: bold;
        text-align: center;
        background: #fff;
        border-radius: 24px;
        border: 1px solid var(--color-apricot);
        color: var(--color-vermillion);

        &:hover,
        &:focus {
            background: var(--color-vermillion);
            color: #fff;
        }
    }

    @media (max-width: 500px) {
        gap: 0;

        a {
            border-radius: 4px;
        }
    }
}

.stotram {
    user-select: none;
    cursor: default;
    font-family:
        "Noto Sans", "Noto Sans Telugu", "Noto Sans Devanagari", sans-serif;
    white-space: pre-line;
    word-break: break-word;

    &[lang="en"] {
        font-size: 20px;
        line-height: 2;
    }

    &[lang="te"] {
        font-size: 20px;
        line-height: 2.5;
    }
}

main > footer {
    background-color: var(--color-apricot);
}

.site-footer {
    margin-block-start: auto;

    > div {
        display: flex;
        justify-content: center;
        gap: 1em;
        padding-block: 1em;
        border-top: 1px dashed #e4e4e4;

        a {
            text-decoration: none;
            color: var(--color-vermillion);
        }
    }
}
.suggestion-form{
    display:none
}